/*
 * defs.h
 *
 * Created: 2015-11-05 12:46:00
 *  Author: dsosnowski
 */ 


#ifndef DEFS_H_
#define DEFS_H_

//AVT1615 connections
#define LCD_DB_PORT			PORTD
#define LCD_DB_DDR			DDRD
#define LCD_DB4_PIN			4
#define LCD_DB5_PIN			5
#define LCD_DB6_PIN			6
#define LCD_DB7_PIN			7

#define LCD_COM_PORT		PORTB
#define LCD_COM_DDR			DDRB
#define LCD_COMRS_PIN		0
#define LCD_COMEN_PIN		1

#define BUTTONS_PORT		PORTD		//active low
#define BUTTONS_IN			PIND
#define BUTTON1_PIN			3		
#define BUTTON2_PIN			2
#define BUTTON3_PIN			1
#define BUTTON4_PIN			0
//#define BUTTONS_GET			(PIND & (1<<BUTTON1_PIN | 1<<BUTTON2_PIN | 1<<BUTTON3_PIN | 1<<BUTTON4_PIN))

#define LEDS_PORT			PORTB		//active low
#define LEDS_DDR			DDRB
#define LED1_PIN			5
#define LED2_PIN			4
#define LED3_PIN			3
#define LED4_PIN			2

#define BUZZ_PORT			PORTC		//active low
#define BUZZ_DDR			DDRC
#define BUZZ_PIN			5
#define BUZZ_SET			(BUZZ_PORT &= ~(1<<BUZZ_PIN))
#define BUZZ_OFF			(BUZZ_PORT |=  (1<<BUZZ_PIN))

#define POT_PORT			PORTC		//analog in
#define POT_PIN				0
#define POT_CH				0

#define LM35_PORT			PORTC
#define LM35_PIN			1
#define LM35_CH				1

//MOTOR connections
#define MOTOR_PORT			LEDS_PORT
#define MOTOR_DDR			LEDS_DDR
#define MOTOR_A_PIN			LED1_PIN
#define MOTOR_B_PIN			LED2_PIN
#define MOTOR_C_PIN			LED3_PIN
#define MOTOR_D_PIN			LED4_PIN

#define MOTOR_EN_PORT		PORTC
#define MOTOR_EN_DDR		DDRC
#define MOTOR_EN_PIN		4
#define MOTOR_EN_SET		(MOTOR_EN_PORT |= (1<<MOTOR_EN_PIN))
#define MOTOR_EN_OFF		(MOTOR_EN_PORT &= ~(1<<MOTOR_EN_PIN))

//TRIGGER connections
#define TRIG_PORT			PORTC
#define TRIG_DDR			DDRC
#define TRIG_PIN			2			//active low
#define TRIG_POW_PIN		3			//active hi
#define TRIG_SET			(TRIG_PORT &= ~(1<<TRIG_PIN))
#define TRIG_OFF			(TRIG_PORT |=  (1<<TRIG_PIN))











#endif /* DEFS_H_ */