/*
 * ui.h
 *
 * Created: 2015-11-05 13:42:18
 *  Author: dsosnowski
 */ 


#ifndef UI_H_
#define UI_H_

#define SWITCH_HOLD	16
#define SW_MENU		1
#define SW_PLUS		2
#define SW_MINUS	3
#define SW_OK		4
#define SW_MENUH	(SW_MENU + SWITCH_HOLD)
#define SW_PLUSH	(SW_PLUS + SWITCH_HOLD)
#define SW_MINUSH	(SW_MINUS + SWITCH_HOLD)
#define SW_OKH		(SW_OK + SWITCH_HOLD)


#define SWITCH_THRESHOLD	2000
#define SWITCH_REPEAT		5


#define MENU_DEG		0
#define MENU_DIR		1
#define MENU_DELAY		2
#define MENU_SPD		3
#define MENU_ROT		4
#define MENU_MAN		5
#define MENU_LAST		MENU_MAN

void UiInit(void);
char UiScan(void);
char UiKbdGet(void);
void UiNavi(void);
void UiMenu(void);
void UiSettingsChange(char level, char action);
void UiSettingsDefault(void);
uint16_t UiSettingsGet(char index);

#endif /* UI_H_ */